Sandbox Validated API
Live-tested endpoints validated against sandbox with Newman.
cURL
full_refund
curl --request POST \ --url https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/refund \ --header 'Content-Type: application/json' \ --header 'X-Idempotency-Key: <x-idempotency-key>' \ --data ' { "merchant_reference": "refund-001", "description": "Customer request", "reason": "REQUESTED_BY_CUSTOMER" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "<string>", "type": "PURCHASE", "amount": { "currency": "<string>", "value": 123 }, "created_at": "2023-11-07T05:31:56Z" }
Issues a full or partial refund.
Omit amount for a full refund. Include amount for a partial refund.
amount
Do not run multiple simultaneous refunds on the same transaction.
Unique UUID per request. Prevents duplicate processing on retries.
3 - 255
DUPLICATE
FRAUDULENT
REQUESTED_BY_CUSTOMER
REVERSE
Include for partial refund. Omit for full refund.
Show child attributes
Refund processed
PURCHASE
CAPTURE
CANCEL
REFUND
VERIFY
Was this page helpful?
Contact support